Skip to main content
`Ctrl`+`K`

# FNInitializePackage

This function initializes everything in the `FN` package. It is called from `PetscDLLibraryRegister_slepc()` when using dynamic libraries, and on the first call to `FNCreate()` when using shared or static libraries.

## Synopsis

    #include "slepcfn.h"
    PetscErrorCode FNInitializePackage(void)

## Note

This function never needs to be called by SLEPc users.

## See Also

FN: Mathematical Functions, `FN`, `SlepcInitialize()`, `FNFinalizePackage()`

## Level

developer

## Location

src/sys/classes/fn/interface/fnbasic.c

Index of all FN routines Table of Contents for all manual pages Index of all manual pages